/* Light style.

Copyright (C) 1999, 2000 The SourceForge Crew
Copyright (C) 2000-2006 Mathieu Roy <yeupou--gnu.org>
Copyright (C) 2014, 2016, 2017 Assaf Gordon
Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler
Copyright (C) 2013, 2014, 2017-2025 Ineiev

See the changelog file for a detailed list of changes.

This file is part of Savane.

Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
under the terms of the GNU General Public license version 3 or (at your
option) any later version; further contributions are covered by
the GNU Affero General Public license version 3 or (at your option)
any later version.  The license notices for the AGPL and the GPL follow.

Savane is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

Savane is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

Savane is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

Savane is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.  */


/* GUIDELINES VERSION FOLLOWED: 1.18 */

@import "internal/base.css";

/* Very basic (mostly text) items. */

body {
  margin-top: 0.5%;
  margin-left: 0.5%;
  margin-right: 0.5%;
  margin-bottom: 0.5%;
  background-color: #f2f2f2;
  font-family: arial,helvetica;
  color: #333333;
}

a {
	text-decoration: none;
	color: #606060;
}
a:hover {
	text-decoration: underline;
	color: #000000;
}
a:active {
	color: #553b63;
}

.unavailable
{
	font-style: italic;
	color: #606060;
}
.unavailable:hover
{
	font-style: italic;
	color: #d36363;
}
.unavailable:active { color: #553b63; }

.error { font-weight: bold; color: #c12424; }
.warn {  color: #c12424; }

.footer { color: #333333;  }

h1 {
	text-indent: 0.3em;
}

h2 {
	background-color: #f3dbff;
	border: thin solid #d19fea;
	color: #6a447c;
	text-indent: 0.8em;
	font-weight: normal;
}

h4 {
	border-bottom: thin solid #d19fea;
	background-color: #f9efff;
	font-weight: normal;
}

.highlight {
	background-color: #ffd3d3;
	color: #333333;
	border-left: thin dotted #e2c4f2;
	border-right: thin dotted #e2c4f2;
	border-bottom: thin dotted #e2c4f2;
}

/* Alignment, main tables. */

.realbody {
	color: #333333;
	border: thin solid #333333;
	background-color: #ffffff;
}

/* Menus. */

.menutitle {
	background-color: #eaffed;
	border: thin solid #257025;
	font-weight: bold;
	text-align: center;
	color: #257025;
	padding-top: 0;
}

.menuitem {
	list-style-type: none;
	background-color: #f7fff8;
	text-align: right;
	border-left: thin dotted #c1f2c5;
	border-right: thin dotted #c1f2c5;
	color: #333333;
	border-bottom: thin dotted #c1f2c5;
}

.menusearch {
	background-color: #f7fff8;
	border-left: thin dotted #c1f2c5;
	border-right: thin dotted #c1f2c5;
}

.topmenu {
	background-color: #e5fff4;
	border: thin solid #69f4c3;
}

.topmenutitle {
	background-color: #f2fff9;
	border:thin solid #69f4c3;
 }

ul.topmenuitemsubmenu {
	background-color: #f7fff8;
	border: thin dotted #c1f2c5;
	border-left: 0.3em dotted #c1f2c5;
}

u.topmenuitemsubmenu li {
	background-color: #f7fff8;
	border: none;
	border-bottom: thin dotted #c1f2c5;
}

li.topmenuitemsubmenu:hover {
	color: black;
}

li.topmenuitemsubmenu a:hover {
	text-decoration: underline;
}

.tabs { color: #008456; }
.tabs:hover { color: #005135; }
.tabselect { text-decoration: underline; color: #000000; }
.tabselect:hover { color: #000000; }

/* Boxes. */

.boxtitle {
	background-color: #f3dbff;
	border: thin solid #d19fea;
	color: #6a447c;
}

.boxtitle a { color: #6a447c; }
.boxtitle a:hover { color: #ff0000; }

.boxitem {
	background-color: #fbf7ff;
	color: #333333;
	border-left: thin dotted #e2c4f2;
	border-right: thin dotted #e2c4f2;
	border-bottom: thin dotted #e2c4f2;
}
.boxitemalt {
	background-color: #ffffff;
	color: #333333;
	border-left: thin dotted #e2c4f2;
	border-right: thin dotted #e2c4f2;
	border-bottom: thin dotted #e2c4f2;
}
.boxhighlight {
	background-color: #ffd3d3;
	color: #333333;
	border-left: thin dotted #e2c4f2;
	border-right: thin dotted #e2c4f2;
	border-bottom: thin dotted #e2c4f2;
}
.boxoptions {
	background-color: #ffffff;
	color: #333333;
	border: thin dotted #e2c4f2;
}

/* Forms. */
button, input
{
  background-color: #e8f0ff;
  border: thin solid #004cd1;
  color: #004cd1;
}

button:hover,input:hover
{
  background-color: #d6e9ff;
}

select {
 background-color: #e8f0ff;
 border: thin solid #004cd1;
 color: #004cd1;
}

select:hover { background-color: #d6e9ff; }

textarea {
 background-color: #e8f0ff;
 border: thin solid #004cd1;
 color: #004cd1;
}

textarea:hover { background-color: #d6e9ff; }

/* Priorities. */
.priora { background-color: #fff2f2; border: thin solid #ef6e6e; }
.priorb { background-color: #ffe8e8; border: thin solid #ef6e6e; }
.priorc { background-color: #ffe0e0; border: thin solid #ef6e6e; }
.priord { background-color: #ffd8d8; border: thin solid #ef6e6e; }
.priore { background-color: #ffcece; border: thin solid #ef6e6e; }
.priorf { background-color: #ffc6c6; border: thin solid #ef6e6e; }
.priorg { background-color: #ffbfbf; border: thin solid #ef6e6e; }
.priorh { background-color: #ffb7b7; border: thin solid #ef6e6e; }
.priori { background-color: #ffadad; border: thin solid #ef6e6e; }
